Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkScaledTextActor Class Reference

`#include <vtkScaledTextActor.h>`

Inheritance diagram for vtkScaledTextActor:

[legend]
Collaboration diagram for vtkScaledTextActor:

[legend]
List of all members.

## Detailed Description

create text that will scale as needed

Date:
  2002/08/22 18:39:31

Revision:
  1.27

vtkScaledTextActor is deprecated. New code should use vtkTextActor with the Scaled = true option.

See also:
  vtkTextActor vtkActor2D vtkTextMapper

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (50%)
  - Biddiscombe, John (29%)
  - Law, Charles (8%)
  - Schroeder, Will (7%)

CVS logs (CVSweb):
  - .`cxx` (`/Rendering/vtkScaledTextActor.cxx)`
  - .`h` (`/Rendering/vtkScaledTextActor.h)`

Examples:
  vtkScaledTextActor (Examples)

Tests:
  vtkScaledTextActor (Tests)

Definition at line 53 of file vtkScaledTextActor.h.

## Public Types
typedef vtkTextActor | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkScaledTextActor * | SafeDownCast (vtkObject *o)
vtkScaledTextActor * | New ()
## Protected Methods
| vtkScaledTextActor ()

## Member Typedef Documentation

typedef vtkTextActor vtkScaledTextActor::Superclass

| Reimplemented from vtkTextActor. Definition at line 56 of file vtkScaledTextActor.h.

## Constructor & Destructor Documentation

vtkScaledTextActor::vtkScaledTextActor | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkScaledTextActor::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkTextActor.

int vtkScaledTextActor::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkTextActor.

virtual int vtkScaledTextActor::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkTextActor.

vtkScaledTextActor* vtkScaledTextActor::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkTextActor.

virtual void vtkScaledTextActor::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkTextActor.

vtkScaledTextActor* vtkScaledTextActor::New | ( |  | ) | `[static]`

| Instantiate object with a rectangle in normaled view coordinates of (0.2,0.85, 0.8, 0.95). Reimplemented from vtkTextActor.

The documentation for this class was generated from the following file:

- Rendering/vtkScaledTextActor.h